de.esprit.netsuite.server.hist

## Class TaskHistoryRecord

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.netsuite.server.hist.TaskHistoryRecord

- All Implemented Interfaces:
    Clearable, DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable

      public class TaskHistoryRecord
      extends TransferableObject
      implements Clearable

  This class encapsulates the history information of a remote-task.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskHistoryRecord(java.lang.String name)`
    `TaskHistoryRecord(java.lang.String name, RunStateFlag stateFlag)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Clears the content
    `java.lang.Exception` | `getError()`
    `java.lang.String` | `getName()`
    `NdfProperties` | `getProperties()`
    `void` | `put(java.lang.String key, java.lang.Object value)`
    `void` | `setValues(AbstractAsyncTask task)`
    `void` | `setValues(RunStateFlag stateFlag)`
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskHistoryRecord

          public TaskHistoryRecord(java.lang.String name)

    - #### TaskHistoryRecord

          public TaskHistoryRecord(java.lang.String name,
                           RunStateFlag stateFlag)

  - ### Method Detail

    - #### getName

          public final java.lang.String getName()

    - #### getError

          public final java.lang.Exception getError()

    - #### setValues

          public void setValues(AbstractAsyncTask task)

    - #### setValues

          public final void setValues(RunStateFlag stateFlag)

    - #### clear

          public final void clear()

      Description copied from interface: `Clearable`
      Clears the content
      Specified by:
        `clear` in interface `Clearable`

    - #### put

          public final void put(java.lang.String key,
                 java.lang.Object value)

    - #### getProperties

          public final NdfProperties getProperties()

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `DumpableObject`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.